/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.kuehntopf.streamtastic.gui.components;

import java.awt.Color;
import java.awt.Component;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableModel;
import org.kuehntopf.streamtastic.core.RippingManager;
import org.kuehntopf.streamtastic.core.Station;

/**
 *
 * @author akuehntopf
 */
public class StationTableCellRenderer extends DefaultTableCellRenderer
{

    @Override
    public Component getTableCellRendererComponent(JTable arg0, Object arg1, boolean arg2, boolean arg3, int arg4, int arg5) {
        Component c = super.getTableCellRendererComponent(arg0, arg1, arg2, arg3, arg4, arg5);
        TableModel m = arg0.getModel();

        int modelIdx = arg0.convertRowIndexToModel(arg4);
        Station s = (Station)m.getValueAt(modelIdx, 0);
        
        if (RippingManager.getInstance().isRipping(s))        
            c.setForeground(Color.LIGHT_GRAY);
        else
            c.setForeground(Color.BLACK);
        
        return c;
    }

}
